Subject: Re: [nsc] I-D Action: draft-wang-nfv-high-availability-gap-analysis-00.txt

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 07 Jan 2014 16:16:07 -0500

While the problems described in this draft are interesting, many of them 
are purely application problems, such as VNF state synchronization.    I 
would hope that this is out of scope for this working group.

Similarly, there are many ways to do load balancing, capacity addition, 
and coping with capacity loss.  I would hope we will not be prescriptive 
in this regard.

I would hope that we will deal with the OAM issues that arise in 
managing the service chaining inbfrastructure.

Yours,
Joel M. Halpern

PS: I find the specific assertions in the draft about what kinds of 
redundancy specific mechanisms support confusing.  I suspect that the 
assertions flow from specific assumptions about the delivery 
architecture, as there are many architectures which do not suffer from 
the gaps identified in the text and summary.

On 12/30/13 6:03 AM, [email-masked] wrote:
>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
>
>          Title           : NFV High-Availability Technologies Gap Analysis
>          Author          : Yang Wang
> 	Filename        : draft-wang-nfv-high-availability-gap-analysis-00.txt
> 	Pages           : 19
> 	Date            : 2013-12-30
>
> Abstract:
>     High-Availability (HA) is a very important requirement throughout the
>     history of carrier network, many technologies have emerged for it.
>     With the trend of Network Function Virtualization (NFV), network
>     function are migrated from dedicated hardware to software running
>     over COTS servers, the same SLA of HA should be provided depending on
>     network service itself.  But some new challenges are brought by NFV,
>     one example is Virtualized Network Function (VNF) cluster caused by
>     the HA and performance limitation of individual VNF instance.  For
>     the VNF cluster, some gaps exist between with the available HA
>     technologies on issues of multi-homing, state synchronization, share-
>     risk prevention and HA role election, especially in the network which
>     has a large scale deployment of NFV.
>
>     This document firstly identifies the challenges emerged within NFV
>     deployed networks.  Then, available HA technologies are reviewed and
>     the detailed gap analysis between them with the new challenges is
>     discussed in depth.  At last, the summary of these gaps is presented.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-wang-nfv-high-availability-gap-analysis/
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-wang-nfv-high-availability-gap-analysis-00
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 7 Jan 2014 22:04:30 -0000

Hi Joel,

I believe this discussion is happening in the context of the VNFpool mailing
list. That list (which is not a WG list) is exploring issues and ideas around
VNF redundancy etc. You're right that doing such for stateful network service
functions sounds like "a challenge".

IMHO this is not in (or close to) the current charter of the SFC working group.
Although I can see issues of availability of service nodes being of at least
peripheral concern, I would hope that this WG does not get wrapped around that
particular axle to the detriment of the core function.

Adrian

> -----Original Message-----
> From: nsc [mailto:[email-masked]] On Behalf Of Joel M. Halpern
> Sent: 07 January 2014 21:16
> To: [email-masked]
> Subject: Re: [nsc] I-D Action:
draft-wang-nfv-high-availability-gap-analysis-00.txt
> nsc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsc